# Class BasePlugin

java.lang.Object
org.gradle.api.plugins.BasePlugin

All Implemented Interfaces:
  `Plugin<Project>`

public class BasePlugin extends Object implements Plugin<Project>

A `Plugin` which defines a basic project lifecycle and some common convention properties.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ASSEMBLE_TASK_NAME`
`static final String`
`BUILD_GROUP`
`static final String`
`CLEAN_TASK_NAME`
`static final String`
`UPLOAD_ARCHIVES_TASK_NAME`
`static final String`
`UPLOAD_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`BasePlugin(org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer, org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory moduleIdentifierFactory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CLEAN_TASK_NAME

public static final String CLEAN_TASK_NAME

See Also:
  - Constant Field Values

### ASSEMBLE_TASK_NAME

public static final String ASSEMBLE_TASK_NAME

See Also:
  - Constant Field Values

### BUILD_GROUP

public static final String BUILD_GROUP

See Also:
  - Constant Field Values

### UPLOAD_ARCHIVES_TASK_NAME

public static final String UPLOAD_ARCHIVES_TASK_NAME

See Also:
  - Constant Field Values

### UPLOAD_GROUP

public static final String UPLOAD_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### BasePlugin

@Inject public BasePlugin(org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry publicationRegistry, org.gradle.configuration.project.ProjectConfigurationActionContainer configurationActionContainer, org.gradle.api.internal.artifacts.ImmutableModuleIdentifierFactory moduleIdentifierFactory)

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object